Loading...
Searching...
No Matches
Array.h File Reference
`#include "ArrayBase.h"`
`#include "ArrayError.h"`
`#include "IPosition.h"`
`#include "MaskLogiArrFwd.h"`
`#include "Storage.h"`
`#include <complex>`
`#include <iterator>`
`#include <initializer_list>`
`#include <type_traits>`
`#include "ArrayStr.h"`
`#include "Array.tcc"`

Go to the source code of this file.

## Classes

class | casacore::Array< T >
| More...
struct | casacore::Array< T >::uninitializedType
| This is a tag for the constructor that may be used to construct an uninitialized Array. More...
class | casacore::Array< T >::BaseIteratorSTL
| More...
class | casacore::Array< T >::IteratorSTL
class | casacore::Array< T >::ConstIteratorSTL

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

template<typename T>
void | casacore::swap (Array< T > &first, Array< T > &second)
| Swap the first array with the second.